/*
 * Note: capital letters in comment only explain abbreviations, but these still
 * follow original capitalization
 */

/* MatrixLayouT */
.sapUiMlt {
	color: @sapUiBaseText;
	font-family: @sapUiFontFamily;
	font-size: @sapUiFontSize;
	text-align: initial; /* alignment should not be inherited */
}

.sapUiMltCell {
	box-sizing: border-box;
}

/* HAlign */
.sapUiMltCellHAlignCenter {
	text-align: center;
}
.sapUiMltCellHAlignLeft {
	text-align: left;
}
.sapUiMltCellHAlignRight {
	text-align: right;
}

.sapUiMltCellHAlignCenter > * {
	margin-left: auto;
	margin-right: auto;
}
.sapUiMltCellHAlignLeft > *,
html[dir=rtl] .sapUiMltCellHAlignRight > * {
	margin-right: auto;
	margin-left: 0;
}
.sapUiMltCellHAlignRight > *,
html[dir=rtl] .sapUiMltCellHAlignLeft > * {
	margin-left: auto;
	margin-right: 0;
}

/* BackGround design */
.sapUiMltBgBorder   {background-color:@sapUiMediumBorder;}
.sapUiMltBgFill1    {background-color:@sapUiHighlight;}
.sapUiMltBgFill2    {background-color:@sapUiMediumBG;}
.sapUiMltBgFill3    {background-color:@sapUiDarkBG;}
.sapUiMltBgHeader   {background-color:@sapUiHighlight;}
.sapUiMltBgPlain    {background-color:@sapUiExtraLightBG;}

/* PADding */
.sapUiMltPadNone    {padding:0;}
.sapUiMltPadLeft    {padding:0 0   5px 4px;}
.sapUiMltPadRight   {padding:0 4px 5px 0;}
.sapUiMltPadBoth    {padding:0 4px 5px 4px;}
.sapUiMltPadNeither {padding:0 0   5px 0;}

/* SEParation (Small, Medium, Large) WithLine */
.sapUiMltSepS {
	padding-left: 17px;
}

.sapUiMltSepSWL {
	padding-left: 17px;
	background-repeat: repeat-y;
	background-position: top left;
	background-image: url(img/layout/separationSmall.gif);
}

.sapUiMltSepM {
	padding-left: 31px;
}

.sapUiMltSepMWL {
	padding-left: 31px;
	background-repeat: repeat-y;
	background-position: top left;
	background-image: url(img/layout/separationMedium.gif);
}

.sapUiMltSepL {
	padding-left: 63px;
}

.sapUiMltSepLWL {
	padding-left: 63px;
	background-repeat: repeat-y;
	background-position: top left;
	background-image: url(img/layout/separationLarge.gif);
}